Bug 1752253 - Errors when exiting txt2regex
Summary: Errors when exiting txt2regex
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: txt2regex
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-15 09:32 UTC by Richard Fearn
Modified: 2020-06-30 01:28 UTC (History)
1 user (show)

Fixed In Version: txt2regex-0.9-1.fc31 txt2regex-0.9-1.fc32 txt2regex-0.9-1.el8 txt2regex-0.9-1.el7 txt2regex-0.9-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-23 01:13:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Fearn 2019-09-15 09:32:29 UTC
Description of problem:

Two errors are shown when exiting txt2regex.

Version-Release number of selected component (if applicable):

txt2regex-0.8-20.fc30.noarch
txt2regex-0.8-21.el8.noarch

How reproducible:

Every time

Steps to Reproduce:
1. Run txt2regex
2. Press '.' to quit

Actual results:

Two errors are shown:

  /usr/bin/txt2regex: line 553: continue: only meaningful in a `for', `while', or `until' loop
  /usr/bin/txt2regex: line 837: .: syntax error: operand expected (error token is ".")

Expected results:

No errors

Comment 1 Ben Cotton 2020-04-30 21:08:09 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2020-06-14 14:15:59 UTC
FEDORA-EPEL-2020-2d56be07fd has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2d56be07fd

Comment 3 Fedora Update System 2020-06-14 14:15:59 UTC
FEDORA-EPEL-2020-3e726e239c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3e726e239c

Comment 4 Fedora Update System 2020-06-14 14:16:00 UTC
FEDORA-2020-3b2972a436 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3b2972a436

Comment 5 Fedora Update System 2020-06-14 14:16:00 UTC
FEDORA-2020-272a1fe28c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-272a1fe28c

Comment 6 Fedora Update System 2020-06-14 14:16:01 UTC
FEDORA-EPEL-2020-8864e543e1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8864e543e1

Comment 7 Fedora Update System 2020-06-15 02:02:36 UTC
txt2regex-0.9-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3b2972a436

Comment 8 Fedora Update System 2020-06-15 02:09:24 UTC
txt2regex-0.9-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3e726e239c

Comment 9 Fedora Update System 2020-06-15 02:13:20 UTC
txt2regex-0.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-8864e543e1

Comment 10 Fedora Update System 2020-06-15 02:14:53 UTC
txt2regex-0.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2d56be07fd

Comment 11 Fedora Update System 2020-06-15 02:51:46 UTC
txt2regex-0.9-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-272a1fe28c

Comment 12 Fedora Update System 2020-06-23 01:13:30 UTC
FEDORA-2020-272a1fe28c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-06-23 01:20:35 UTC
FEDORA-2020-3b2972a436 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-06-30 00:31:46 UTC
FEDORA-EPEL-2020-3e726e239c has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-06-30 01:15:39 UTC
FEDORA-EPEL-2020-8864e543e1 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-06-30 01:28:58 UTC
FEDORA-EPEL-2020-2d56be07fd has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.